Package fr.gouv.vitam.common.storage.swift

# Class VitamSwiftObjectStorageService

java.lang.Object
org.openstack4j.openstack.internal.BaseOpenStackService
org.openstack4j.openstack.storage.object.internal.BaseObjectStorageService
fr.gouv.vitam.common.storage.swift.VitamSwiftObjectStorageService

@NotThreadSafe public class VitamSwiftObjectStorageService extends org.openstack4j.openstack.storage.object.internal.BaseObjectStorageService
Custom Object Storage service alternative for openstack4j Adapted from `ObjectStorageObjectServiceImpl` openstack4j lib (apache2 license)

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.openstack4j.openstack.internal.BaseOpenStackService

  `org.openstack4j.openstack.internal.BaseOpenStackService.Invocation<R>`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VitamSwiftObjectStorageService(Supplier<org.openstack4j.api.OSClient> osClientFactory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteFullObject(String containerName, String objectName, List<String> objectNameSegments, Map<String,String> headers)`
  `ObjectContent`
  `download(String containerName, String objectName, Map<String,String> headers)`
  `Map<String,String>`
  `getMetadata(String containerName, String objectName, Map<String,String> headers)`
  `Optional<org.openstack4j.model.storage.object.SwiftObject>`
  `getObjectInformation(String containerName, String objectName, Map<String,String> headers)`
  `List<? extends org.openstack4j.model.storage.object.SwiftObject>`
  `list(String containerName, org.openstack4j.model.storage.object.options.ObjectListOptions options, Map<String,String> headers)`
  `void`
  `put(String containerName, String name, org.openstack4j.model.common.Payload<?> payload)`
  `void`
  `put(String containerName, String objectName, org.openstack4j.model.common.Payload<?> payload, org.openstack4j.model.storage.object.options.ObjectPutOptions options)`
  `void`
  `updateMetadata(org.openstack4j.model.storage.object.options.ObjectLocation location, Map<String,String> headers)`

  ### Methods inherited from class org.openstack4j.openstack.storage.object.internal.BaseObjectStorageService

  `isResponseSuccess, isResponseSuccess`

  ### Methods inherited from class org.openstack4j.openstack.internal.BaseOpenStackService

  `delete, deleteWithResponse, get, getProvider, getServiceVersion, getWithResponse, getXOpenstackRequestId, head, patch, patchWithResponse, post, postWithResponse, put, putWithResponse, request, toList, uri`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VitamSwiftObjectStorageService

    public VitamSwiftObjectStorageService(Supplier<org.openstack4j.api.OSClient> osClientFactory)

- ## Method Details

  - ### list

    public List<? extends org.openstack4j.model.storage.object.SwiftObject> list(String containerName, org.openstack4j.model.storage.object.options.ObjectListOptions options, Map<String,String> headers) throws ContentAddressableStorageException
    Throws:
      `ContentAddressableStorageException`

  - ### getObjectInformation

    public Optional<org.openstack4j.model.storage.object.SwiftObject> getObjectInformation(String containerName, String objectName, Map<String,String> headers) throws ContentAddressableStorageException
    Throws:
      `ContentAddressableStorageException`

  - ### download

    public ObjectContent download(String containerName, String objectName, Map<String,String> headers) throws ContentAddressableStorageException
    Throws:
      `ContentAddressableStorageException`

  - ### put

    public void put(String containerName, String name, org.openstack4j.model.common.Payload<?> payload) throws ContentAddressableStorageException
    Throws:
      `ContentAddressableStorageException`

  - ### put

    public void put(String containerName, String objectName, org.openstack4j.model.common.Payload<?> payload, org.openstack4j.model.storage.object.options.ObjectPutOptions options) throws ContentAddressableStorageException
    Throws:
      `ContentAddressableStorageException`

  - ### deleteFullObject

    public void deleteFullObject(String containerName, String objectName, List<String> objectNameSegments, Map<String,String> headers) throws ContentAddressableStorageException
    Throws:
      `ContentAddressableStorageException`

  - ### getMetadata

    public Map<String,String> getMetadata(String containerName, String objectName, Map<String,String> headers) throws ContentAddressableStorageException
    Throws:
      `ContentAddressableStorageException`

  - ### updateMetadata

    public void updateMetadata(org.openstack4j.model.storage.object.options.ObjectLocation location, Map<String,String> headers) throws ContentAddressableStorageException
    Throws:
      `ContentAddressableStorageException`